tbb_bind.cpp File Reference
`#include "../tbb/tbb_assert_impl.h"`
`#include "tbb/tbb_stddef.h"`
`#include <hwloc.h>`
`#include <vector>`
Include dependency graph for tbb_bind.cpp:

Go to the source code of this file.

## Classes

class | tbb::internal::platform_topology
class | tbb::internal::binding_handler

## Namespaces

| tbb
| The graph class.
| tbb::internal
| Identifiers declared inside namespace internal should never be used directly by client code.

## Macros

#define | assertion_hwloc_wrapper(command, ...) __TBB_ASSERT_EX( (command(__VA_ARGS__)) >= 0, "Error occurred during call to hwloc API.");

## Functions

void | tbb::internal::initialize_numa_topology (size_t groups_num, int &nodes_count, int *&indexes_list, int *&concurrency_list)
binding_handler * | tbb::internal::allocate_binding_handler (int slot_num)
void | tbb::internal::deallocate_binding_handler (binding_handler *handler_ptr)
void | tbb::internal::bind_to_node (binding_handler *handler_ptr, int slot_num, int numa_id)
void | tbb::internal::restore_affinity (binding_handler *handler_ptr, int slot_num)

## Macro Definition Documentation

## assertion_hwloc_wrapper

#define assertion_hwloc_wrapper | ( |  | command,
|  |  | ...
| ) |  | __TBB_ASSERT_EX( (command(__VA_ARGS__)) >= 0, "Error occurred during call to hwloc API.");

Definition at line 33 of file tbb_bind.cpp.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.